Bug 1308662 - broken symlink
broken symlink
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: hadoop (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Tubbs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 12:13 EST by Igor Vlasenko
Modified: 2017-11-16 15:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-16 15:54:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (602 bytes, patch)
2016-02-15 12:13 EST, Igor Vlasenko
no flags Details | Diff

  None (edit)
Description Igor Vlasenko 2016-02-15 12:13:09 EST
Created attachment 1127361 [details]
proposed patch

Description of problem:
in hadoop-hdfs
%{_datadir}/%{name}/hdfs/lib/%{name}-hdfs-bkjournal.jar
points to
/usr/share/java/hadoop/hadoop-hdfs-bkjournal.jar
resulting in broken symlink.
It should point to 
/usr/lib/java/hadoop/hadoop-hdfs-bkjournal.jar.

Version-Release number of selected component (if applicable):
hadoop-2.4.1-14.fc24.src.rpm
hadoop-hdfs-2.4.1-14


How reproducible:
readlink /usr/share/java/hadoop/hadoop-hdfs-bkjournal.jar

Actual results:
/usr/share/java/hadoop/hadoop-hdfs-bkjournal.jar

Expected results:
/usr/lib/java/hadoop/hadoop-hdfs-bkjournal.jar.


Additional info:
proposed patch:
--- hadoop.spec~        2016-02-13 19:52:20.000000000 +0200
+++ hadoop.spec 2016-02-14 00:55:55.162574760 +0200
@@ -774,7 +774,7 @@
 # hdfs jar dependencies
 copy_dep_jars $basedir/share/%{name}/hdfs/lib %{buildroot}/%{_datadir}/%{name}/hdfs/lib
 %{_bindir}/xmvn-subst %{buildroot}/%{_datadir}/%{name}/hdfs/lib
-%{__ln_s} %{_javadir}/%{name}/%{name}-hdfs-bkjournal.jar %{buildroot}/%{_datadir}/%{name}/hdfs/lib
+%{__ln_s} %{_jnidir}/%{name}/%{name}-hdfs-bkjournal.jar %{buildroot}/%{_datadir}/%{name}/hdfs/lib
 pushd $basedir/share/%{name}/hdfs
   link_hadoop_jars %{buildroot}/%{_datadir}/%{name}/hdfs
 popd
Comment 1 Jan Kurik 2016-02-24 10:21:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora Admin XMLRPC Client 2016-06-01 15:42:20 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2016-06-08 17:27:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2017-11-16 13:43:41 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Christopher Tubbs 2017-11-16 15:54:31 EST
Looks like this was fixed at some point.

Note You need to log in before you can comment on or make changes to this bug.